登录  免费注册
当前位置:首页 > 漏洞详细信息

GNU Binutils整数溢出漏洞

 关注(0)  
CNVD-ID CNVD-2019-34650
公开日期 2019-10-11
危害级别 中 (AV:N/AC:L/Au:N/C:N/I:N/A:P)
影响产品 GNU Binutils 2.32
CVE ID CVE-2019-17451
漏洞描述 GNU Binutils是一组用于创建和管理二进制程序、对象文件、库、配置文件数据及程序集源代码的编程工具。

GNU Binutils 2.32中使用的二进制文件描述符(BFD)库中的dwarf2.c中的_bfd_dwarf2_find_nearest_line存在整数溢出漏洞。攻击者可利用该漏洞导致SEGV错误。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2019-17451
漏洞解决方案 厂商已发布了漏洞修复程序,请及时关注更新:
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=336bfbeb1848f4b9558456fdcf283ee8a32d7fd1
厂商补丁 GNU Binutils整数溢出漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2019-10-11
收录时间 2019-10-11
更新时间 2019-10-11
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论